Derived read-only graph from validated Draft Plan
GET
/v1/ai/agents/{agentID}/playbooks/{playbookID}/plan-graphAuthorization
sessionsessionrequiredPath parameters
agentIDstringrequiredplaybookIDstringrequiredResponses
200OK
graphDerivedGraphrequiredShow propertiesHide properties
edgesDerivedEdge[] | nullrequiredShow propertiesHide properties
Array of
DerivedEdgeidstringrequiredlabelstringsourcestringrequiredtargetstringrequirednodesDerivedNode[] | nullrequiredShow propertiesHide properties
Array of
DerivedNodedataobjectidstringrequiredkindstringrequiredlabelstringrequiredsource_node_idstringidentityArtifactIdentityrequiredShow propertiesHide properties
compiler_versionstringrequireddeployment_idstringplan_hashstringrequiredplan_step_idstringplaybook_idstringrequiredplaybook_release_idstringplaybook_version_idstringsource_hashstringrequiredsource_node_idstringplanPlanrequiredShow propertiesHide properties
compiler_versionstringrequiredentry_step_idstringrequiredexecution_modestringrequiredinputsobject[] | nullresource_grantsResourceGrant[] | nullrequiredShow propertiesHide properties
Array of
ResourceGrantkindstringrequiredlabelstringpermissionstringrequiredresource_idstringrequiredschema_versioninteger<int64>requiredsettingsAuthoringSettingsrequiredShow propertiesHide properties
max_playbook_call_depthinteger<int64>requiredmax_retries_per_stepinteger<int64>requiredmax_stepsinteger<int64>requiredsource_hashstringrequiredstepsPlanStep[] | nullrequiredShow propertiesHide properties
Array of
PlanStepbranchesobjectconfigobjectidstringrequiredkindstringrequirednextstringsource_node_idstringterminal_outcomesstring[] | nullrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/ai/agents/string/playbooks/string/plan-graph"const response = await fetch("/v1/ai/agents/string/playbooks/string/plan-graph", {
method: "GET"
});import requests
response = requests.get(
"/v1/ai/agents/string/playbooks/string/plan-graph",
)Response
{
"graph": {
"edges": [
{
"id": "string",
"label": "string",
"source": "string",
"target": "string"
}
],
"nodes": [
{
"data": {},
"id": "string",
"kind": "string",
"label": "string",
"source_node_id": "string"
}
]
},
"identity": {
"compiler_version": "string",
"deployment_id": "string",
"plan_hash": "string",
"plan_step_id": "string",
"playbook_id": "string",
"playbook_release_id": "string",
"playbook_version_id": "string",
"source_hash": "string",
"source_node_id": "string"
},
"plan": {
"compiler_version": "string",
"entry_step_id": "string",
"execution_mode": "string",
"inputs": [
{}
],
"resource_grants": [
{
"kind": "string",
"label": "string",
"permission": "string",
"resource_id": "string"
}
],
"schema_version": 0,
"settings": {
"max_playbook_call_depth": 0,
"max_retries_per_step": 0,
"max_steps": 0
},
"source_hash": "string",
"steps": [
{
"branches": {},
"config": {},
"id": "string",
"kind": "string",
"next": "string",
"source_node_id": "string"
}
],
"terminal_outcomes": [
"string"
]
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}